#**************************************************************************/
#* PHP-NUKE-Addon AE-Webring                                              */
#* ======================                                                 */
#* Andreas Ellsel, 29.11.2001                                             */
#* Comments to a.ellsel@shiba.de / http://php-nuke.shiba.de               */
#* Version 1.3.0                                                          */
#* Last changes: 17.03.2002                                               */
#* SQL Update File for all older Versions to 1.3.1                        */
#**************************************************************************/
#
# ACHTUNG! evtl. prefix anpassen (nuke_)  z.B. sqltest_webring
#
# Tabellenstruktur fr Tabelle 'nuke_webring'
#
ALTER TABLE `nuke_webring` CHANGE `description` `description` TEXT NOT NULL;
ALTER TABLE `nuke_webring` ADD `ring` INT(11) DEFAULT '1' NOT NULL FIRST;
ALTER TABLE `nuke_webring` ADD `lastdate` DATETIME NOT NULL;
ALTER TABLE `nuke_webring` ADD `lastpage` TEXT NOT NULL; 
#
# Daten anpassen fr Tabelle 'nuke_webring'
#
update `nuke_webring` set lastdate = now();
update `nuke_webring` set ring = 1;
#
# Indexe erstellen fuer 'nuke_webring'
#
ALTER TABLE `nuke_webring` ADD INDEX `ring` (`ring`);
ALTER TABLE `nuke_webring` ADD UNIQUE `ringuser` (`ring`,`uid`)
ALTER TABLE `nuke_webring` ADD UNIQUE `ringpages` (`ring`,`siteurl`)  
#
# Tabellenstruktur fr Tabelle `nuke_webring_config`
#
# DROP TABLE IF EXISTS nuke_webring_config;
CREATE TABLE nuke_webring_config (
  nr_webring int(11) NOT NULL auto_increment,
  ringName varchar(100) NOT NULL default '',
  ringDescription text NOT NULL,
  ringDescAllPages tinyint(1) NOT NULL default '0',
  ringNaviTarget varchar(10) NOT NULL default '_top',
  ringListtheme varchar(50) NOT NULL default '',
  ringShowUserlogo tinyint(1) NOT NULL default '0',
  ringUserlogowidth smallint(6) NOT NULL default '70',
  ringUserlogoheight smallint(6) NOT NULL default '70',
  ringSendmail tinyint(1) NOT NULL default '1',
  ringSendprvmsg tinyint(1) NOT NULL default '0',
  ringSendprvmsgIcon varchar(50) NOT NULL default '',
  ringAdminUserId int(11) NOT NULL default '1',
  ringshowindex tinyint(1) NOT NULL default '0',
  ringDeactivateDeadUsers tinyint(4) NOT NULL default '0',
  ringDeleteDeadUsers tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (nr_webring),
  UNIQUE KEY ringName (ringName)
) TYPE=MyISAM COMMENT='Einstellungen fr Webringe';

#
# Standard-Daten fr Tabelle `nuke_webring_config`
#

INSERT INTO nuke_webring_config (nr_webring, ringName, ringDescription, ringDescAllPages, ringNaviTarget, ringListtheme, ringShowUserlogo, ringUserlogowidth, ringUserlogoheight, ringSendmail, ringSendprvmsg, ringSendprvmsgIcon, ringAdminUserId, ringshowindex, ringDeactivateDeadUsers, ringDeleteDeadUsers) VALUES (1, 'Dein Webring....', 'Die Beschreibung Deines Webrings...', 0, '_blank', 'left.php', 1, 60, 60, 0, 1, 'icon1.gif', 2, 1, 0, 0);
